@extends('layouts.front')
@section('content')
<body>
    <!--  Starting of Pre-loader Area   -->
    <div class="app-site-preloader-wrap overlay">
        <div class="spinner2">
          <div class="rect1"></div>
          <div class="rect2"></div>
          <div class="rect3"></div>
          <div class="rect4"></div>
          <div class="rect5"></div>
        </div>
    </div>
    <!--  Ending of Pre-loader Area   -->

    <!--  Starting of Header Area   -->
    <section>
        <header class="header-area header-absolute wow fadeIn">
            <div class="container">
                <div class="row align-items-center text-uppercase">
                    <div class="col-lg-3 col-md-3">
                        <div class="logo">
                            <a href="{{route('front.index')}}"><img src="{{asset('assets/images/'.$gs->logo)}}" alt="Logo image"> <span>{{$admin->st}}</span></a>
                        </div>
                    </div>
                    <div class="col-lg-9 col-md-9 text-right">
                        <div class="mainmenu d-none d-md-block">
                            <ul class="header-ul">
                                <li><a href="#about">{{$lang->home}}</a></li>
                                <li><a href="#features">{{$lang->lm}}</a></li>
                                <li><a href="#screen">{{$lang->home2}}</a></li>
                                <li><a href="#testimonials">{{$lang->fht}}</a></li>
                                <li><a href="#pricing">{{$lang->hcs}}</a></li>
                                <li><a href="#contact">{{$lang->lns}}</a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="col">
                        <div class="mobileMenuActive d-block d-md-none"></div>
                    </div>
                </div>
            </div>
        </header>
    <!--  Ending of Header Area   -->

    <!--  Starting of Hero Area   -->
        <div class="hero-area-wrap">
            <div class="single-hero-item hero-bg-1 overlay" style="background-image: url({{asset('assets/images/'.$admin->himg)}});">
                <div class="container">
                    <div class="row">
                        <div class="col-lg-8 text-uppercase">
                            <h1 class="margin-top-50">{{$admin->fname}}</h1>
                            <p>{{$admin->description}}</p>
                            <div class="hero-btns">
                                <a href="{{$admin->title}}" target="_blank" class="bordered-btn">
                                    <img src="{{asset('assets/images/'.$admin->appimg)}}" alt="btn img">
                                </a>
                                <a href="{{$admin->link}}" target="_blank" class="bordered-btn">
                                    <img src="{{asset('assets/images/'.$admin->playimg)}}" alt="btn img">
                                </a>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="hero-img">
                                <img src="{{asset('assets/images/'.$admin->mimg)}}" alt="Hero image">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--  Ending of Hero Area   -->

    <!--  Starting of About Area   -->
    <section class="section-padding about-wrap" id="about">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 wow fadeInLeft">
                    <div class="about-video-content about-img overlay" style="background-image: url({{asset('assets/images/'.$admin->vidimg)}});">
                        <a class="venobox radius-100" data-gall="gall-video" data-autoplay="true" data-vbtype="video" href="{{$admin->vid}}"><i class="fa fa-play"></i></a>
                    </div>
                </div>
                <div class="col-lg-6 wow fadeInRight">
                    <div class="about-video-text">
                        <h2 class="text-uppercase">{{$admin->pname}}</h2>
                        <p>{!!$admin->pdesc!!}</p>
                        
                        <ul>
                            <li><i class="fa fa-check-circle-o"></i>{{$admin->prole}}</li>
                            <li><i class="fa fa-check-circle-o"></i>{{$admin->pgender}}</li>
                            <li><i class="fa fa-check-circle-o"></i>{{$admin->planguage}}</li>
                        </ul>
                        <a href="{{$admin->presidency}}" class="round-bordered-btn radius-30">{{$lang->home1}} <i class="fa fa-angle-right"></i></a>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--  Ending of About Area   -->

    <!--  Starting of Features Area   -->
    <section class="section-padding features-wrap feature-bg overlay" id="features" style="background-image: url({{asset('assets/images/'.$admin->fimg)}});">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-8">
                    <div class="section-title text-center">
                        <h2 class="text-uppercase">{{$admin->pfax}}</h2>
                        <p class="margin-bottom-0">{{$admin->pareas}}</p>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-4">
                    <div class="features-text-content text-right margin-top-50">
                        @foreach($lside as $ls)
                        <div class="single-feature-wrap position-relative wow fadeInLeft">
                            <div class="feature-icon position-absolute">
                                <img src="{{asset('assets/images/'.$ls->photo)}}" alt="Feature icon">
                            </div>
                            <div class="feature-text">
                                <h3 class="text-uppercase">{{$ls->title}}</h3>
                                <p class="margin-bottom-0">{{$ls->description}}</p>
                            </div>
                        </div>
                        @endforeach
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="features-img">
                        <img src="{{asset('assets/images/'.$admin->hsimg)}}" alt="Feature image">
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="features-text-content right margin-top-50">
                        @foreach($rside as $rs)
                        <div class="single-feature-wrap position-relative wow fadeInLeft">
                            <div class="feature-icon position-absolute">
                                <img src="{{asset('assets/images/'.$rs->photo)}}" alt="Feature icon">
                            </div>
                            <div class="feature-text">
                                <h3 class="text-uppercase">{{$rs->title}}</h3>
                                <p class="margin-bottom-0">{{$rs->description}}</p>
                            </div>
                        </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--  Ending of Features Area   -->

    <!--  Starting of Download App Area   -->
    <section class="section-padding download-app-wrap" id="screen">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6">
                    <div class="section-title text-center">
                        <h2 class="text-uppercase">{{$admin->paddress}}</h2>
                        <p class="margin-bottom-0">{!! $admin->pfone !!}</p>
                    </div>
                </div>
            </div>

            <div class="row justify-content-center">
                <div class="col-lg-10 text-center">
                    <div class="download-app-img wow fadeInUp">
                        <img src="{{asset('assets/images/'.$admin->simg)}}" alt="App image">
                    </div>
                    <div class="download-app-btns">
                        <a href="{{$admin->pmail}}" class="colored-bordered-btn position-relative d-inline-block wow fadeInLeft">
                            <span class="pull-left">
                                <img src="{{asset('assets/images/'.$admin->appico)}}" alt="Icon">
                            </span>
                            <span class="pull-right">
                                <span class="span-top position-absolute">{{$lang->dopd}}</span>
                                <br/>
                                <span class="span-bottom position-absolute">{{$lang->doci}}</span>
                            </span>
                        </a>
                        <a href="{{$admin->psite}}" class="colored-bordered-btn position-relative d-inline-block wow fadeInRight">
                            <span class="pull-left">
                                <img src="{{asset('assets/images/'.$admin->plaico)}}" alt="Icon">
                            </span>
                            <span class="pull-right">
                                <span class="span-top position-absolute">{{$lang->dosp}}</span>
                                <br/>
                                <span class="span-bottom position-absolute">{{$lang->cn}}</span>
                            </span>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--  Ending of Download App Area   -->

    <!--  Starting of Counter Area   -->
    <section class="section-padding counter-wrap counter-bg overlay" style="background-image: url({{asset('assets/images/'.$admin->fsimg)}});">
        <div class="container">
            <div class="row">
                <div class="col-lg-3 col-md-6 col-sm-6 col d-flex justify-content-center wow fadeInUp">
                    <div class="single-counter-area radius-100 d-flex align-items-center">
                        <div class="counter-text text-center">
                            <h1><span class="counter">{{$admin->p1}}</span></h1>
                            <p>{{$admin->p1t}}</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 col-sm-6 col d-flex justify-content-center wow fadeInUp">
                    <div class="single-counter-area radius-100 d-flex align-items-center">
                        <div class="counter-text text-center">
                            <h1><span class="counter">{{$admin->p2}}</span></h1>
                            <p>{{$admin->p2t}}</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 col-sm-6 col d-flex justify-content-center wow fadeInUp">
                    <div class="single-counter-area radius-100 d-flex align-items-center">
                        <div class="counter-text text-center">
                            <h1><span class="counter">{{$admin->p3}}</span></h1>
                            <p>{{$admin->p3t}}</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 col-sm-6 col d-flex justify-content-center wow fadeInUp">
                    <div class="single-counter-area radius-100 d-flex align-items-center">
                        <div class="counter-text text-center">
                            <h1><span class="counter">{{$admin->p4}}</span></h1>
                            <p>{{$admin->p4t}}</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--  Ending of Counter Area   -->

    <!--  Starting of App Screenshots-carousel Area   -->
    <section class="section-padding app-screen-wrap overflow-x-hidden">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6">
                    <div class="section-title text-center">
                        <h2 class="text-uppercase">{{$admin->stitle}}</h2>
                        <p class="margin-bottom-0">{!!$admin->stext!!}</p>
                    </div>
                </div>
            </div>
            <div class="row wow fadeInUp">
                <div class="col-lg-12">
                    <div class="app-screen-carousel-wrap position-relative">
                        <div class="app-screen-fixed-image position-absolute">
                            <img src="{{asset('assets/front/img/app-screen-hover.png')}}" alt="App screen image">
                        </div>
                        <div class="owl-carousel app-screen-carousel">
                            @foreach($images as $img)
                            <div class="single-app-screen-div">
                                <img src="{{asset('assets/images/'.$img->photo)}}" alt="App screen image">
                            </div>
                            @endforeach
                            @foreach($images as $img)
                            <div class="single-app-screen-div">
                                <img src="{{asset('assets/images/'.$img->photo)}}" alt="App screen image">
                            </div>
                            @endforeach
                            @foreach($images as $img)
                            <div class="single-app-screen-div">
                                <img src="{{asset('assets/images/'.$img->photo)}}" alt="App screen image">
                            </div>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--  Ending of App Screenshots-carousel Area   -->

    <!--  Starting of Map Subscribe Area   -->
    <section class="section-padding map-subscribe-wrap overlay" style="background-image: url({{asset('assets/front/img/map-subscribe-img.jpg')}});">
        <div class="container">
            <div class="row justify-content-between">
                <div class="col-lg-3 col-md-2 wow fadeInRight">
                </div>
                <div class="col-lg-6 col-md-8 wow fadeInLeft">
                    <div class="map-subcribe-text text-center">
                        <h3 class="text-uppercase">{{$admin->ptitle1}}</h3>
                        <p>{{$admin->ptext1}}</p>
                        <a href="#pricing" class="bordered-btn">{{$lang->doo}}</a>
                    </div>
                </div>
                <div class="col-lg-3 col-md-2 wow fadeInRight">
                </div>
            </div>
        </div>
    </section>
    <!--  Ending of Map Subscribe Area   -->

    <!--  Starting of Pricing Table Area   -->
    <section class="section-padding" id="pricing">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-8">
                    <div class="section-title text-center">
                        <h1 class="text-uppercase">{{$admin->ptitle2}}</h1>
                        <p class="margin-bottom-0">{{$admin->ptext2}}</p>
                    </div>
                </div>
            </div>
            <div class="row justify-content-center">
                <div class="col-lg-4 col-md-6 col-sm-8 col text-center wow fadeInLeft">
                </div>
            </div>
            <div class="row pricing-table-row">
                <div class="col-lg-4 col-md-4">
                    <div class="single-pricing-table-area">
                        <div class="pricing-table-head">
                            <div class="pricing-table-title text-center text-uppercase"><h4>{{$admin->bt}}</h4></div>
                            <h1 class="pricing-header position-relative"><span class="dollar-span position-absolute">{{$admin->h2}}</span>{{$admin->ba}}<span> {{$admin->h1}}</span></h1>
                        </div>
                        <div class="pricing-table-body">
                            <ul>
                                @foreach($lefts as $data)
                                <li><i class="fa fa-check"></i>{{$data->title}}</li>
                                @endforeach
                            </ul>
                        </div>
                        <div class="pricing-btn text-center">
                            <a href="{{$admin->pl}}" class="bordered-btn">{{$lang->doo}}</a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-4 wow fadeInUp">
                    <div class="single-pricing-table-area active">
                        <div class="pricing-table-head">
                            <div class="pricing-table-title text-center text-uppercase"><h4>{{$admin->stt}}</h4></div>
                            <h1 class="pricing-header position-relative"><span class="dollar-span position-absolute">{{$admin->h4}}</span>{{$admin->sa}}<span> {{$admin->h3}}</span></h1>
                        </div>
                        <div class="pricing-table-body">
                            <ul>
                                @foreach($middles as $data)
                                <li><i class="fa fa-check"></i>{{$data->title}}</li>
                                @endforeach
                            </ul>
                        </div>
                        <div class="pricing-btn text-center">
                            <a href="{{$admin->pl}}" class="bordered-btn">{{$lang->doo}}</a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-4 wow fadeInRight">
                    <div class="single-pricing-table-area">
                        <div class="pricing-table-head">
                            <div class="pricing-table-title text-center text-uppercase"><h4>{{$admin->pt}}</h4></div>
                            <h1 class="pricing-header position-relative"><span class="dollar-span position-absolute">{{$admin->h6}}</span>{{$admin->pa}}<span> {{$admin->h5}}</span></h1>
                        </div>
                        <div class="pricing-table-body">
                            <ul>
                                @foreach($rights as $data)
                                <li><i class="fa fa-check"></i>{{$data->title}}</li>
                                @endforeach
                            </ul>
                        </div>
                        <div class="pricing-btn text-center">
                            <a href="{{$admin->pl}}" class="bordered-btn">{{$lang->doo}}</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--  Ending of Pricing Table Area   -->

    <!--  Starting of Testimonial Area   -->
    <section class="section-padding testimonial-wrap overlay" id="testimonials" style="background-image: url({{asset('assets/images/'.$admin->timg)}});">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6">
                    <div class="section-title text-center">
                        <h2 class="text-uppercase">{{$admin->ttitle1}}</h2>
                        <p class="margin-bottom-0">{{$admin->ttext1}}</p>
                    </div>
                </div>
            </div>
            <div class="row justify-content-center wow fadeInUp">
                <div class="col-lg-12 text-center">
                    <div class="owl-carousel testimonial-carousel">
                        @foreach($ads as $ad)
                        <div class="single-testimonial-area">
                            <div class="author-img">
                                <img src="{{asset('assets/images/'.$ad->photo)}}" alt="Testimonial author">
                            </div>
                            <div class="author-info">
                                <h4 class="text-uppercase">{{$ad->title}}</h4>
                                <p><em>{{$ad->designation}}</em></p>
                                <p>{{$ad->review}}</p>
                            </div>
                        </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--  Ending of Testimonial Area   -->

    <!--  Starting of Our team Area   -->
    <section class="section-padding home-team-wrap">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6">
                    <div class="section-title text-center">
                        <h2 class="text-uppercase">{{$admin->ttitle2}}</h2>
                        <p class="margin-bottom-0">{{$admin->ttext2}}</p>
                    </div>
                </div>
            </div>
            <div class="row">
                @foreach($sliders as $sl)
                <div class="col-lg-3 col-md-3 col-sm-6 wow fadeInUp">
                    <div class="single-team-area">
                        <div class="team-member-img">
                            <a><img src="{{asset('assets/images/'.$sl->photo)}}" alt="Member image"></a>
                        </div>
                        <div class="team-member-info text-center position-relative">
                            <div class="overlay1"></div>
                            <div class="overlay2"></div>
                            <div class="team-content">
                                <a style="color: white;" class="d-inline text-uppercase">{{$sl->title}}</a>
                                <span class="d-block transition-4s">{{$sl->description}}</span>
                            </div>
                        </div>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </section>
    <!--  Ending of Our team Area   -->

    <!-- Starting of Google map Area -->
    <div class="google-map-area position-relative" id="contact">
        <div class="map d-block" id="googleMap"></div>

        <div class="home-contact-area position-absolute">
            <!-- starting of subscribe newsletter area -->
            <div class="subscribe-newsletter-area position-absolute">
                <div class="row">
                    <div class="col-lg-6 col-md-6 col-sm-6 col-12">
                        <div class="subscribe-text">
                            <h4 class="text-uppercase">{{$lang->ston}}</h4>
                            <p>{{$lang->s}}</p>
                        </div>
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-6 col-12">
                        <div class="subscribe-form">
                            <form action="{{route('front.subscribe.submit')}}" method="POST">
                                        {{csrf_field()}}
                                <div class="input-wrap">
                                    <input type="email" name="email" placeholder="{{$lang->supl}}" required>
                                    <button type="submit" name="submit_btn"><i class="fa fa-long-arrow-right"></i></button>
                                </div>  
                            </form>
                                    <p style="color: white;">
                                    @if(Session::has('subscribe'))
                                        {{ Session::get('subscribe') }}
                                    @endif
                                    @foreach($errors->all() as $error)
                                        {{$error}}
                                    @endforeach
                                </p>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Ending of subscribe newsletter area -->
            <div class="contact-form-area wow fadeInLeft">
                <h3 class="text-uppercase">{{$ps->contact_title}}</h3>
                <form action="{{route('front.contact.submit')}}" method="POST">

                    {{csrf_field()}}
                    @include('includes.form-success')
                    <input type="hidden" name="to" value="{{$ps->contact_email}}">
                    <div class="form-group">
                        <input type="text" name="name" class="form-control" placeholder="{{$lang->con}}" required>
                    </div>
                    <div class="form-group">
                        <input type="email" name="email" class="form-control" placeholder="{{$lang->cop}}" required>
                    </div>
                    <div class="form-group">
                        <input type="text" name="subject" class="form-control" placeholder="{{$lang->coe}}" required>
                    </div>
                    <div class="form-group">
                        <textarea class="form-control" name="message" id="message" cols="30" rows="5" placeholder="{{$lang->cor}}" style="resize: vertical;" required></textarea>
                    </div>
                    <div class="form-group">
                        <button type="submit" name="send_message" class="btn-block colored-bordered-btn text-uppercase d-inline-block">{{$lang->sm}}</button>
                    </div>
                </form>
            </div>
            <div class="contact-address-area overlay wow fadeInRight" style="background-image: url({{asset('assets/images/'.$ps->cimg)}});">
                <h3 class="text-uppercase">{{$ps->c_heading}}</h3>
                <p class="contact-description">{{$ps->contact_text}}</p>
                <div class="contact-info">
                    @if($gs->phone != null || $gs->fax != null ) 
                    <p class="contact-info position-relative">
                        <span class="left"><i class="fa fa-phone" aria-hidden="true"></i></span>
                            
                        <span class="right position-absolute">  
                            @if($gs->phone != null)
                            <span class="d-block">+{{$gs->phone}}</span>
                            @endif
                            @if($gs->fax != null)
                            <span class="d-block">+{{$gs->fax}}</span>
                            @endif
                        </span>
                    </p>
                    @endif
                    @if($gs->site != null || $gs->email != null )
                    <p class="contact-info position-relative">
                        <span class="left"><i class="fa fa-envelope-open" aria-hidden="true"></i></span>
                            
                        <span class="right position-absolute">  
                            @if($gs->email != null)
                            <span class="d-block">{{$gs->email}}</span>
                            @endif
                            @if($gs->site != null)
                            <span class="d-block">{{$gs->site}}</span>
                            @endif
                        </span>
                    </p>
                    @endif
                    @if($gs->street != null) 
                    <p class="contact-info position-relative">
                        <span class="left"><i class="fa fa-map-marker" aria-hidden="true"></i></span>   
                        <span class="right position-absolute" style="margin-top: 5px;">  
                            <span class="d-block">{{$gs->street}}</span>
                        </span>
                    </p>
                    @endif
                </div>
            </div>    
        </div>
    </div>
    <!-- Ending of Google map Area -->

    <!-- Starting of Footer Area -->
    <footer>
        <div class="footer-overlay-bg" style="background-image: url({{asset('assets/images/'.$gs->bgimg)}});"></div>
        <div class="footer-copyright-area"> 
            <div class="container">
                <div class="row">
                    <div class="col-lg-6 col-md-6 col-sm-6 col-12">
                        <div class="copyright-text">
                            &copy; {!!$gs->footer!!}
                        </div>
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-6 col-12">
                        <div class="social-links text-right">
                            @if($sls->f_status == 1)
                            <a href="{{$sls->facebook}}"><i class="fa fa-facebook"></i></a>
                            @endif
                            @if($sls->t_status == 1)
                            <a href="{{$sls->twitter}}"><i class="fa fa-twitter"></i></a>
                            @endif
                            @if($sls->g_status == 1)
                            <a href="{{$sls->gplus}}"><i class="fa fa-google-plus"></i></a>
                            @endif
                            @if($sls->l_status == 1)
                            <a href="{{$sls->linkedin}}"><i class="fa fa-linkedin"></i></a>
                            @endif
                        </div>
                    </div>
                </div>  
            </div>
        </div>
    </footer>
    <!-- Ending of Footer Area -->
    
    <!-- Starting of Scroll to Top Area -->
    <a href="#" class="scrollup">Scroll</a>
    <!-- Ending of Scroll to Top Area -->
@endsection

@section('scripts')
<script type="text/javascript">
            function initialize() {
          var mapOptions = {
            zoom: 10,
            scrollwheel: false,
            center: new google.maps.LatLng({{$gs->bg_title}},{{$gs->bg_link}})
          };

          var map = new google.maps.Map(document.getElementById('googleMap'),
              mapOptions);


          var marker = new google.maps.Marker({
            position: map.getCenter(),
            animation:google.maps.Animation.BOUNCE,
            icon: 'assets/front/img/map-market.png',
            map: map
          });

        }

        google.maps.event.addDomListener(window, 'load', initialize);
</script>
@endsection